package com.huifu.jh.core.message;

import com.alibaba.fastjson.JSON;
import com.huifu.jh.core.model.GcbPayResponse;
import com.huifu.jh.core.model.ParamResponse;
import com.huifu.jh.core.util.dto.GcbPayConstants;
import com.huifu.jh.core.util.dto.HttpResp;

import java.net.URLDecoder;
import java.util.HashMap;
import java.util.Map;

/**
 * 
 * @author cheng.luo
 * 
 * @param <T>
 * 
 * 文件格式响应解析器
 */
public class FileResponseParser <T extends GcbPayResponse> implements ResponseParser<T> {

    private Class<T> clazz;

    public FileResponseParser(Class<T> clazz) {
        this.clazz = clazz;
    }

    @Override
    public T parse(HttpResp httpResp) throws Exception {
        T response = clazz.newInstance();
        response.setHttpStatus(httpResp.getHttpStatus());
        response.setResponseBody(httpResp.getResponseBody());
        response.setFileContent(httpResp.getResponseBody());
        return response;
    }
}