package com.huifu.jh.core.model;

/**
 * @author fang.wei
 * @Description 请求响应
 * @createTime 2021年10月13日 16:23:00
 */
public abstract class GcbPayResponse {

    /**
     * http响应码
     */
    private int httpStatus;

    /**
     * 响应报文体
     */
    private byte[] responseBody;

    
    /**
     * 文件内容
     */
    private byte[] fileContent;
    
    /**
     * 是否需要验签
     * @return
     */
    public boolean needCheckSign() {
        return false;
    }

    public int getHttpStatus() {
        return httpStatus;
    }

    public void setHttpStatus(int httpStatus) {
        this.httpStatus = httpStatus;
    }

    public byte[] getResponseBody() {
        return responseBody;
    }

    public void setResponseBody(byte[] responseBody) {
        this.responseBody = responseBody;
    }

	public byte[] getFileContent() {
		return fileContent;
	}

	public void setFileContent(byte[] fileContent) {
		this.fileContent = fileContent;
	}
    
	protected boolean isHttpStatusSuccess() {
		return 200 == this.httpStatus;
	}
}