package com.huifu.jh.core.model;

import com.huifu.jh.core.util.XmlUtils;

/**
 * @author fang.wei
 * @Description xml格式异步通知应答
 * @createTime 2021年10月25日 12:42:00
 */
public abstract class XmlCallbackResponse<T extends XmlCallbackResponseWrapper> {

    /**
     * 生成xml报文封装类
     * @return
     */
    public abstract T generateXmlWrapper();

    /**
     * 转换成xml报文
     * @return
     * @throws Exception
     */
    public String toXml() throws Exception {
        T wrapper = generateXmlWrapper();
        if (wrapper != null) {
            return XmlUtils.toXml(wrapper);
        }

        return XmlUtils.toXml(this);
    }
}
