package com.huifu.jh.core.util;

import java.net.URLDecoder;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.huifu.jh.core.util.dto.GcbPayConstants;

/**
 * servlet工具类
 */
public class ServletUtils {

    public static Map<String, String> convertToMap(HttpServletRequest httpRequest) {
        try {
            httpRequest.setCharacterEncoding(GcbPayConstants.ENCODING);
            Map<String, String> requestMap = new HashMap<>();

            Enumeration<?> it = httpRequest.getParameterNames();

            while (it.hasMoreElements()) {
                String key = (String) it.nextElement();
                
                String value = httpRequest.getParameter(key);
                // 判断是否需要解码
                if (UrlCoderUtil.hasUrlEncoded(value)) {
                	value = URLDecoder.decode(httpRequest.getParameter(key),GcbPayConstants.ENCODING);
                }
                requestMap.put(key, value);
            }
            return requestMap;
        } catch (Exception e) {
            throw new RuntimeException("convert request error", e);
        }
    }
}
