package com.huifu.jh.core.util.dto;

import java.io.Serializable;

/**
 * @author fang.wei
 * @Description http请求响应
 * @createTime 2021年10月18日 12:10:00
 */
public class HttpResp implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 文件流响应类型
	 */
	private static final String[] FILE_CONTENTTYPES = new String[] {"application/x-download","application/x-zip-compressed"};
	
	/**
     * 响应码
     */
    private Integer httpStatus;

    /**
     * 响应内容体
     */
    private byte[] responseBody;

    /**
     * 响应类型
     */
    private String contentType;

    public boolean isSuccess() {
        if (httpStatus == null) {
        	return false;
        }
        return httpStatus.intValue() == 200;
    }

    public Integer getHttpStatus() {
        return httpStatus;
    }

    public void setHttpStatus(Integer httpStatus) {
        this.httpStatus = httpStatus;
    }

    public byte[] getResponseBody() {
        return responseBody;
    }

    public void setResponseBody(byte[] responseBody) {
        this.responseBody = responseBody;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
    
    /**
     * 判断响应是否为文件类型
     * @return
     */
    public boolean isFileResp() {
    	
    	if (this.contentType == null || this.contentType.trim().equals("")) {
    		return false;
    	}
    	
    	for(String fileConentType : FILE_CONTENTTYPES) {
    		if(this.contentType.contains(fileConentType)) {
    			return true;
    		}
    	}
    	
    	return false;
    }
}