package com.huifu.jh.payout.model;

/**
 * @author fang.wei
 * @Description 余额支付明细
 * @createTime 2021年10月28日 10:59:00
 */
public class GcbAccTransferApplyRequestDetail {

    /**
     * 明细流水号 同一商户号下唯一
     * 用以区分请求记录，失败重发请更新明细流水号
     */
    private String transNo;

    /**
     * 商家业务订单号
     * 同一商户号下唯一，用以标识商户系统内部该笔交易的业务订单号，便于全局溯源，例如通过该订单号查看业务相关的背景、凭证材料等
     */
    private String orderId;

    /**
     * 金额
     * 格式为实际金额扩大100倍提交。如1000,表示10元
     */
    private String amt;

    /**
     * 付款人类型
     * M：商户
     * H：用户
     */
    private String payerAcctType;

    /**
     * 付款人账号
     * 付款人为商户时，填写本商户号的商户号；
     * 付款人为用户时，填写用户开户时得到的8位用户号
     */
    private String payerAcctNo;

    /**
     * 收款人类型
     * M：商户
     * H：用户
     */
    private String payeeAcctType;

    /**
     * 收款人账户号
     * 付款人为商户时，填写本商户号的商户号；
     * 付款人为用户时，填写用户开户时得到的8位用户号
     */
    private String payeeAcctNo;

    /**
     * 付款背景
     */
    private String memo;

    /**
     * 扩展字段1
     */
    private String ext1;

    /**
     * 扩展字段2
     */
    private String ext2;

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getPayerAcctType() {
        return payerAcctType;
    }

    public void setPayerAcctType(String payerAcctType) {
        this.payerAcctType = payerAcctType;
    }

    public String getPayerAcctNo() {
        return payerAcctNo;
    }

    public void setPayerAcctNo(String payerAcctNo) {
        this.payerAcctNo = payerAcctNo;
    }

    public String getPayeeAcctType() {
        return payeeAcctType;
    }

    public void setPayeeAcctType(String payeeAcctType) {
        this.payeeAcctType = payeeAcctType;
    }

    public String getPayeeAcctNo() {
        return payeeAcctNo;
    }

    public void setPayeeAcctNo(String payeeAcctNo) {
        this.payeeAcctNo = payeeAcctNo;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

}