package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.ParamResponse;

/**
 * @author fang.wei
 * @Description 余额支付结果查询
 * @createTime 2021年10月28日 12:25:00
 */
public class GcbAccTransferQueryResponse extends ParamResponse {

    /**
     * 版本号
     */
    private String version;

    /**
     * 签名方式
     */
    private String signType;

    /**
     * 请求流水号
     */
    private String requestId;

    /**
     * 请求时间
     */
    private String requestTime;

    /**
     * 商户号
     */
    private String merchantAcctId;

    /**
     * 终端号
     */
    private String terminalId;

    /**
     * 原付款批次号
     */
    private String origbatchNo;

    /**
     * 原付款明细流水号
     */
    private String origtransNo;

    /**
     * 原批次申请时间 原批次申请时间，格式：yyyyMMddHHmmss 例如：20180503124565
     */
    private String origApplyTime;

    /**
     * 币别 币别，默认CNY
     */
    private String cur;

    /**
     * 金额 格式为实际金额扩大100倍提交。如1000,表示10元
     */
    private String amt;

    /**
     * 手续费 手续费。格式为实际金额扩大100倍提交。如1000,表示10元
     */
    private String feeAmt;

    /**
     * 扩展字段1
     */
    private String ext1;

    /**
     * 扩展字段1
     */
    private String ext2;

    /**
     * 付款人账户类型
     */
    private String payerAcctType;

    /**
     * 付款人账户号
     */
    private String payerAcctNo;

    /**
     * 收款人账户类型
     */
    private String payeeAccttype;

    /**
     * 收款人账户号
     */
    private String payeeAcctNo;

    /**
     * 状态
     * 0.请求参数错误，
     * 1.处理中，
     * 2.付款成功，
     * 3.付款失败，
     * 4.交易不存在（请求流水不存在或原批次受理失败均为交易不存在）
     */
    private String status;

    /**
     * 错误码 当STATUS为0、3、4时返回
     */
    private String errorCode;

    /**
     * 错误描述 当STATUS为0、3、4时返回
     */
    private String errorMsg;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public String getMerchantAcctId() {
        return merchantAcctId;
    }

    public void setMerchantAcctId(String merchantAcctId) {
        this.merchantAcctId = merchantAcctId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getOrigbatchNo() {
        return origbatchNo;
    }

    public void setOrigbatchNo(String origbatchNo) {
        this.origbatchNo = origbatchNo;
    }

    public String getOrigtransNo() {
        return origtransNo;
    }

    public void setOrigtransNo(String origtransNo) {
        this.origtransNo = origtransNo;
    }

    public String getOrigApplyTime() {
        return origApplyTime;
    }

    public void setOrigApplyTime(String origApplyTime) {
        this.origApplyTime = origApplyTime;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(String feeAmt) {
        this.feeAmt = feeAmt;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getPayerAcctType() {
        return payerAcctType;
    }

    public void setPayerAcctType(String payerAcctType) {
        this.payerAcctType = payerAcctType;
    }

    public String getPayerAcctNo() {
        return payerAcctNo;
    }

    public void setPayerAcctNo(String payerAcctNo) {
        this.payerAcctNo = payerAcctNo;
    }

    public String getPayeeAccttype() {
        return payeeAccttype;
    }

    public void setPayeeAccttype(String payeeAccttype) {
        this.payeeAccttype = payeeAccttype;
    }

    public String getPayeeAcctNo() {
        return payeeAcctNo;
    }

    public void setPayeeAcctNo(String payeeAcctNo) {
        this.payeeAcctNo = payeeAcctNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    @Override
    public String toString() {
        return "GcbAccTransferQueryResponse{" +
                "version='" + version + '\'' +
                ", signType='" + signType + '\'' +
                ", requestId='" + requestId + '\'' +
                ", requestTime='" + requestTime + '\'' +
                ", merchantAcctId='" + merchantAcctId + '\'' +
                ", terminalId='" + terminalId + '\'' +
                ", origbatchNo='" + origbatchNo + '\'' +
                ", origtransNo='" + origtransNo + '\'' +
                ", origApplyTime='" + origApplyTime + '\'' +
                ", cur='" + cur + '\'' +
                ", amt='" + amt + '\'' +
                ", feeAmt='" + feeAmt + '\'' +
                ", ext1='" + ext1 + '\'' +
                ", ext2='" + ext2 + '\'' +
                ", payerAcctType='" + payerAcctType + '\'' +
                ", payerAcctNo='" + payerAcctNo + '\'' +
                ", payeeAccttype='" + payeeAccttype + '\'' +
                ", payeeAcctNo='" + payeeAcctNo + '\'' +
                ", status='" + status + '\'' +
                ", errorCode='" + errorCode + '\'' +
                ", errorMsg='" + errorMsg + '\'' +
                '}';
    }
}