package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.GcbPayResponse;

/**
 * @author fang.wei
 * @Description 商户代发结果查询响应
 * @createTime 2021年10月25日 15:30:00
 */
public class GcbAgcyPaymentQueryResponse extends GcbPayResponse {

    /**
     * 商户号
     * 会员账号，由我司提供的商户号+01，共13位数字
     */
    private String merchantId;

    /**
     * 虚拟终端号
     * 汇付给的虚拟终端号
     */
    private String terminalId;

    /**
     * 产品类型
     * 固定为：JH
     */
    private String productType = "JH";

    /**
     * 版本号 当前版本：1.0
     */
    private String version = "1.0";

    /**
     * 交易类别
     * 100040：代发申请
     */
    private String trxType = "200030";

    /**
     * 代发批次号
     * 商户系统中唯一性ID
     */
    private String batchNo;

    /**
     * 明细流水号
     */
    private String remitReqId;

    /**
     * 源交易日期
     * 格式：yyyyMMdd
     * 例如：20180503
     */
    private String applyDate;

    /**
     * 币别
     */
    private String cur;

    /**
     * 金额
     * 格式为实际金额扩大100倍提交。
     * 如1000,表示10元
     */
    private String amt;

    /**
     * 手续费金额
     * 格式为实际金额扩大100倍提交。
     * 如1000,表示10元
     */
    private String feeAmt;

    /**
     * 银行编码
     */
    private String bankId;

    /**
     * 账户类型
     */
    private String acctType;

    /**
     * 账号
     */
    private String bankAcct;

    /**
     * 户名
     */
    private String payeeName;

    /**
     * 证件类型
     */
    private String payeeIdType;

    /**
     * 证件号
     */
    private String payeeIdNo;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 分行
     */
    private String bankBranch;

    /**
     * 用户
     */
    private String purpose;

    /**
     * 扩展字段1
     */
    private String ext1;

    /**
     * 扩展字段2
     */
    private String ext2;

    /**
     * 状态
     * 0.请求参数错误，
     * 1.处理中，
     * 2.代发成功，
     * 3.代发失败，
     * 4.交易不存在
     */
    private String status;

    /**
     * 错误码
     * 当STATUS为0、3、4时返回
     */
    private String errorCode;

    /**
     * 错误描述
     * 当STATUS为0、3、4时返回
     */
    private String errorMsg;

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getTrxType() {
        return trxType;
    }

    public void setTrxType(String trxType) {
        this.trxType = trxType;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getRemitReqId() {
        return remitReqId;
    }

    public void setRemitReqId(String remitReqId) {
        this.remitReqId = remitReqId;
    }

    public String getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(String applyDate) {
        this.applyDate = applyDate;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(String feeAmt) {
        this.feeAmt = feeAmt;
    }

    public String getBankId() {
        return bankId;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }

    public String getAcctType() {
        return acctType;
    }

    public void setAcctType(String acctType) {
        this.acctType = acctType;
    }

    public String getBankAcct() {
        return bankAcct;
    }

    public void setBankAcct(String bankAcct) {
        this.bankAcct = bankAcct;
    }

    public String getPayeeName() {
        return payeeName;
    }

    public void setPayeeName(String payeeName) {
        this.payeeName = payeeName;
    }

    public String getPayeeIdType() {
        return payeeIdType;
    }

    public void setPayeeIdType(String payeeIdType) {
        this.payeeIdType = payeeIdType;
    }

    public String getPayeeIdNo() {
        return payeeIdNo;
    }

    public void setPayeeIdNo(String payeeIdNo) {
        this.payeeIdNo = payeeIdNo;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    @Override
    public String toString() {
        return "GcbAgcyPaymentQueryResponse{" +
                "merchantId='" + merchantId + '\'' +
                ", terminalId='" + terminalId + '\'' +
                ", productType='" + productType + '\'' +
                ", version='" + version + '\'' +
                ", trxType='" + trxType + '\'' +
                ", batchNo='" + batchNo + '\'' +
                ", remitReqId='" + remitReqId + '\'' +
                ", applyDate='" + applyDate + '\'' +
                ", cur='" + cur + '\'' +
                ", amt='" + amt + '\'' +
                ", feeAmt='" + feeAmt + '\'' +
                ", bankId='" + bankId + '\'' +
                ", acctType='" + acctType + '\'' +
                ", bankAcct='" + bankAcct + '\'' +
                ", payeeName='" + payeeName + '\'' +
                ", payeeIdType='" + payeeIdType + '\'' +
                ", payeeIdNo='" + payeeIdNo + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", bankBranch='" + bankBranch + '\'' +
                ", purpose='" + purpose + '\'' +
                ", ext1='" + ext1 + '\'' +
                ", ext2='" + ext2 + '\'' +
                ", status='" + status + '\'' +
                ", errorCode='" + errorCode + '\'' +
                ", errorMsg='" + errorMsg + '\'' +
                '}';
    }
}