package com.huifu.jh.payout.model;

import com.huifu.jh.core.model.XmlCallbackResponse;
import com.huifu.jh.core.model.XmlCallbackResponseWrapper;
import com.huifu.jh.payout.model.wrapper.GcbAgcyPaymentResultResponseWrapper;

/**
 * @author fang.wei
 * @Description 商户代发异步通知应答
 * @createTime 2021年10月25日 12:35:00
 */
public class GcbAgcyPaymentResultResponse extends XmlCallbackResponse<GcbAgcyPaymentResultResponseWrapper> {

    /**
     * 商户号
     * 会员账号，由我司提供的商户号+01，共13位数字
     */
    private String merchantId;

    /**
     * 虚拟终端号
     * 汇付给的虚拟终端号
     */
    private String terminalId;

    /**
     * 产品类型
     * 固定为：JH
     */
    private String productType = "JH";

    /**
     * 版本号 当前版本：1.0
     */
    private String version = "1.0";

    /**
     * 交易类别
     * 100040：代发申请
     */
    private String trxType = "100040";

    /**
     * 接收确认， 000000-接收成功
     */
    private String result = "000000";

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getTrxType() {
        return trxType;
    }

    public void setTrxType(String trxType) {
        this.trxType = trxType;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public GcbAgcyPaymentResultResponseWrapper generateXmlWrapper() {
        return GcbAgcyPaymentResultResponseWrapper.custom()
                .setMerchantId(merchantId)
                .setTerminalId(terminalId)
                .setProductType(productType)
                .setVersion(version)
                .setTrxType(trxType)
                .setResult(result)
                .build();
    }
}