package com.huifu.jh.payout.model.wrapper;

import com.huifu.jh.core.model.XmlResponseWrapper;
import com.huifu.jh.payout.model.GcbAgcyPaymentQueryResponse;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author fang.wei
 * @Description 商户代发结果查询响应报文封装
 * @createTime 2021年10月25日 15:35:00
 */
@XmlRootElement(name = "RESPONSE")
@XmlAccessorType(XmlAccessType.FIELD)
public class GcbAgcyPaymentQueryResponseWrapper implements XmlResponseWrapper<GcbAgcyPaymentQueryResponse> {

    @XmlElement(name = "GENERAL")
    private ResponseHead head;

    @XmlElement(name = "PARAMS")
    private ResponseParam param;

    @Override
    public GcbAgcyPaymentQueryResponse toResponse() {
        GcbAgcyPaymentQueryResponse response = new GcbAgcyPaymentQueryResponse();
        response.setMerchantId(head.getMerchantId());
        response.setTerminalId(head.getTerminalId());
        response.setProductType(head.getProductType());
        response.setVersion(head.getVersion());
        response.setTrxType(head.getTrxType());
        response.setBatchNo(param.getBatchNo());
        response.setRemitReqId(param.getRemitReqId());
        response.setApplyDate(param.getApplyDate());
        response.setCur(param.getCur());
        response.setAmt(param.getAmt());
        response.setFeeAmt(param.getFeeAmt());
        response.setBankId(param.getBankId());
        response.setAcctType(param.getAcctType());
        response.setBankAcct(param.getBankAcct());
        response.setPayeeName(param.getPayeeName());
        response.setPayeeIdType(param.getPayeeIdType());
        response.setPayeeIdNo(param.getPayeeIdNo());
        response.setProvince(param.getProvince());
        response.setCity(param.getCity());
        response.setBankBranch(param.getBankBranch());
        response.setPurpose(param.getPurpose());
        response.setExt1(param.getExt1());
        response.setExt2(param.getExt2());
        response.setStatus(param.getStatus());
        response.setErrorCode(param.getErrorCode());
        response.setErrorMsg(param.getErrorMsg());
        return response;
    }

    public ResponseHead getHead() {
        return head;
    }

    public void setHead(ResponseHead head) {
        this.head = head;
    }

    public ResponseParam getParam() {
        return param;
    }

    public void setParam(ResponseParam param) {
        this.param = param;
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    static class ResponseHead {

        @XmlElement(name = "MERCHANTID")
        private String merchantId;

        @XmlElement(name = "TERMINALID")
        private String terminalId;

        @XmlElement(name = "PRODUCTTYPE")
        private String productType;

        @XmlElement(name = "VERSION")
        private String version;

        @XmlElement(name = "TRXTYPE")
        private String trxType;

        public String getProductType() {
            return productType;
        }

        public void setProductType(String productType) {
            this.productType = productType;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getTrxType() {
            return trxType;
        }

        public void setTrxType(String trxType) {
            this.trxType = trxType;
        }

        public String getMerchantId() {
            return merchantId;
        }

        public void setMerchantId(String merchantId) {
            this.merchantId = merchantId;
        }

        public String getTerminalId() {
            return terminalId;
        }

        public void setTerminalId(String terminalId) {
            this.terminalId = terminalId;
        }
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    static class ResponseParam {

        @XmlElement(name = "BATCH_NO")
        private String batchNo;

        @XmlElement(name = "REMIT_REQ_ID")
        private String remitReqId;

        @XmlElement(name = "APPLY_DATE")
        private String applyDate;

        @XmlElement(name = "CUR")
        private String cur;

        @XmlElement(name = "AMT")
        private String amt;

        @XmlElement(name = "FEE_AMT")
        private String feeAmt;

        @XmlElement(name = "BANK_ID")
        private String bankId;

        @XmlElement(name = "ACCT_TYPE")
        private String acctType;

        @XmlElement(name = "BANK_ACCT")
        private String bankAcct;

        @XmlElement(name = "PAYEE_NAME")
        private String payeeName;

        @XmlElement(name = "PAYEE_ID_TYPE")
        private String payeeIdType;

        @XmlElement(name = "PAYEE_ID_NO")
        private String payeeIdNo;

        @XmlElement(name = "PROVINCE")
        private String province;

        @XmlElement(name = "CITY")
        private String city;

        @XmlElement(name = "BANK_BRANCH")
        private String bankBranch;

        @XmlElement(name = "PURPOSE")
        private String purpose;

        @XmlElement(name = "EXT1")
        private String ext1;

        @XmlElement(name = "EXT2")
        private String ext2;

        @XmlElement(name = "STATUS")
        private String status;

        @XmlElement(name = "ERR_CODE")
        private String errorCode;

        @XmlElement(name = "ERR_MSG")
        private String errorMsg;

        public String getBatchNo() {
            return batchNo;
        }

        public void setBatchNo(String batchNo) {
            this.batchNo = batchNo;
        }

        public String getRemitReqId() {
            return remitReqId;
        }

        public void setRemitReqId(String remitReqId) {
            this.remitReqId = remitReqId;
        }

        public String getApplyDate() {
            return applyDate;
        }

        public void setApplyDate(String applyDate) {
            this.applyDate = applyDate;
        }

        public String getCur() {
            return cur;
        }

        public void setCur(String cur) {
            this.cur = cur;
        }

        public String getAmt() {
            return amt;
        }

        public void setAmt(String amt) {
            this.amt = amt;
        }

        public String getFeeAmt() {
            return feeAmt;
        }

        public void setFeeAmt(String feeAmt) {
            this.feeAmt = feeAmt;
        }

        public String getBankId() {
            return bankId;
        }

        public void setBankId(String bankId) {
            this.bankId = bankId;
        }

        public String getAcctType() {
            return acctType;
        }

        public void setAcctType(String acctType) {
            this.acctType = acctType;
        }

        public String getBankAcct() {
            return bankAcct;
        }

        public void setBankAcct(String bankAcct) {
            this.bankAcct = bankAcct;
        }

        public String getPayeeName() {
            return payeeName;
        }

        public void setPayeeName(String payeeName) {
            this.payeeName = payeeName;
        }

        public String getPayeeIdType() {
            return payeeIdType;
        }

        public void setPayeeIdType(String payeeIdType) {
            this.payeeIdType = payeeIdType;
        }

        public String getPayeeIdNo() {
            return payeeIdNo;
        }

        public void setPayeeIdNo(String payeeIdNo) {
            this.payeeIdNo = payeeIdNo;
        }

        public String getProvince() {
            return province;
        }

        public void setProvince(String province) {
            this.province = province;
        }

        public String getCity() {
            return city;
        }

        public void setCity(String city) {
            this.city = city;
        }

        public String getBankBranch() {
            return bankBranch;
        }

        public void setBankBranch(String bankBranch) {
            this.bankBranch = bankBranch;
        }

        public String getPurpose() {
            return purpose;
        }

        public void setPurpose(String purpose) {
            this.purpose = purpose;
        }

        public String getExt1() {
            return ext1;
        }

        public void setExt1(String ext1) {
            this.ext1 = ext1;
        }

        public String getExt2() {
            return ext2;
        }

        public void setExt2(String ext2) {
            this.ext2 = ext2;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getErrorCode() {
            return errorCode;
        }

        public void setErrorCode(String errorCode) {
            this.errorCode = errorCode;
        }

        public String getErrorMsg() {
            return errorMsg;
        }

        public void setErrorMsg(String errorMsg) {
            this.errorMsg = errorMsg;
        }
    }

}