package demo.payout.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.huifu.jh.core.DefaultGcbPayClient;
import com.huifu.jh.core.GcbPayClient;
import com.huifu.jh.payout.model.GcbAgcyPaymentQueryRequest;
import com.huifu.jh.payout.model.GcbAgcyPaymentQueryResponse;

import demo.payout.config.AppConfig;

/**
 * @author fang.wei
 * @Description 商户代发结果查询DEMO
 * @createTime 2021年10月30日 23:47:00
 */
@Controller
public class GcbAgcyPaymentQueryController {
    private Logger logger = LoggerFactory.getLogger(getClass());

    @Autowired
    private AppConfig appConfig;

    @GetMapping("/showGcbAgcyPaymentQuery.do")
    public String showGcbAgcyPaymentQuery(HttpServletRequest request1, HttpServletResponse response, Model model) {
        // 构建商户代发请求对象
        GcbAgcyPaymentQueryRequest request = new GcbAgcyPaymentQueryRequest();
        //必填，会员账号，由我司提供的商户号+01，共13位数字
        request.setMerchantId("1001215986501");
        //必填，终端号，由我司提供的终端号
        request.setTerminalId("JHDF002");
        //必填，代发批次号 商户系统唯一ID
        request.setBatchNo("20211025095823730");
        //必填，代发明细流水号
        request.setRemitReqId("1635127014504");
        //必填，明细总笔数
        request.setApplyDate("20211025");

        model.addAttribute("req", request);
        return "GcbAgcyPaymentQuery";
    }

    @PostMapping("/doGcbAgcyPaymentQuery.do")
    @ResponseBody
    public String doGcbAgcyPaymentQuery(HttpServletRequest request, HttpServletResponse response, Model model, GcbAgcyPaymentQueryRequest req) throws Exception {

        // 服务url(测试环境)
        String serverUrl = "https://hfgj.testpnr.com/sell/receivesell.htm";
        // 服务url(生产环境)
        //	String serverUrl = "https://global.chinapnr.com/sell/receivesell.htm";

        // 实例化客户端
        GcbPayClient gcbPayClient = new DefaultGcbPayClient(serverUrl, appConfig.getBase64PrivateKey(), appConfig.getBase64PublicKey());

        // 发送请求
        GcbAgcyPaymentQueryResponse resp = gcbPayClient.execute(req);
        logger.info("resp => " + new String(resp.getResponseBody()));

        // TODO 业务处理
        // ......

        String respTxt = "响应信息<br />" + resp.toString();
        return respTxt;
    }


}