package demo.payout.controller;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.huifu.jh.core.DefaultGcbPayClient;
import com.huifu.jh.core.GcbPayClient;
import com.huifu.jh.payout.model.GcbUserAgcyPaymentQueryRequest;
import com.huifu.jh.payout.model.GcbUserAgcyPaymentQueryResponse;

import demo.payout.config.AppConfig;

/**
 * @author fang.wei
 * @Description 用户提现结果查询DEMO
 * @createTime 2021年10月30日 23:47:00
 */
@Controller
public class GcbUserAgcyPaymentQueryController {
    private Logger logger = LoggerFactory.getLogger(getClass());

    @Autowired
    private AppConfig appConfig;

    @GetMapping("/showGcbUserAgcyPaymentQuery.do")
    public String showGcbUserAgcyPaymentQuery(HttpServletRequest request1, HttpServletResponse response, Model model) {
        // 构建商户代发请求对象
        GcbUserAgcyPaymentQueryRequest request = new GcbUserAgcyPaymentQueryRequest();
        String randomNum = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date());
        String time = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());
        request.setRequestId(randomNum);
        request.setRequestTime(time);
        request.setMerchantAcctId("1001215986501");
        request.setTerminalId("JHDF002");
        request.setBatchNo("20211029144956184");
        request.setRemitNo("20211029144956187");
        request.setApplyDate("20211029");

        model.addAttribute("req", request);
        return "GcbUserAgcyPaymentQuery";
    }

    @PostMapping("/doGcbUserAgcyPaymentQuery.do")
    @ResponseBody
    public String doGcbUserAgcyPaymentQuery(HttpServletRequest request, HttpServletResponse response, Model model, GcbUserAgcyPaymentQueryRequest req) throws Exception {

        // 服务url(测试环境)
        String serverUrl = "https://hfgj.testpnr.com/mcs/remitQry.htm";
        // 服务url(生产环境)
        //	String serverUrl = "https://global.chinapnr.com/mcs/remitQry.htm";

        // 实例化客户端
        GcbPayClient gcbPayClient = new DefaultGcbPayClient(serverUrl, appConfig.getBase64PrivateKey(), appConfig.getBase64PublicKey());

        // 发送请求
        GcbUserAgcyPaymentQueryResponse resp = gcbPayClient.execute(req);
        logger.info("resp => " + new String(resp.getResponseBody()));

        // TODO 业务处理
        // ......

        String respTxt = "响应信息<br />" + resp.toString();
        return respTxt;
    }


}